<id>
User Age in Message View - Version 1.0 for YaBB 2.3.1
</id>

<version>
1.0
</version>

<mod info>
This mod will add users age in message view if the birthdate field is filled out.
You can enable/disable this option in Admin Center. 

Mod History:
Version 1.0 - User Age in Message View - First Release - 6th January 2009

Installation:
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.
 
Admin/ModList.pl
Admin/NewSettings.pl
Admin/Settings_Main.pl
Languages/English/Admin.lng
Languages/English/Display.lng 
Sources/Display.pl 
Sources/MyCenter.pl
Templates/default/Display.template
Templates/default/MyCenter.template
Templates/yabb21/Display.template
Templates/yabb21/MyCenter.template
</mod info>

<author>
Derek Barnstorm
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$userage_mod = "User Age in Message View|Derek Barnstorm|Adds users age in message view.|1.0|6th January 2009";
	push (@installed_mods, "$userage_mod");
</add before>

<edit file>
Admin/NewSettings.pl
</edit file>

<search for>
\$showgenderimage = $showgenderimage;			# Set to 1 to display each member's gender in the message view (by the ICQ.. etc.)
</search for>

<add before>
\$showuserage = $showuserage;				# Set to 1 to display each member's age in the message view 
</add before>

<edit file>
Admin/Settings_Main.pl
</edit file>

<search for>
		{
			description => $admin_txt{'386'},
			input_html => qq~<input type="checkbox" name="showgenderimage" value="1"${ischecked($showgenderimage)} />~,
			name => 'showgenderimage',
			validate => 'boolean',
		},
</search for>

<add before>
		{
			description => $admin_txt{'userage'},
			input_html => qq~<input type="checkbox" name="showuserage" value="1"${ischecked($showuserage)} />~,
			name => 'showuserage',
			validate => 'boolean',
		}, 
</add before>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
'386' => 'Show Gender Image in Message View?',
</search for>

<add before>
'userage' => 'Show User Age in Message View?', 
</add before>

<edit file>
Languages/English/Display.lng
</edit file>

<search for>
%display_txt = (
</search for>

<add after>
'userage' => 'Age', 
</add after>

<edit file>
Sources/Display.pl
</edit file>

<search for>
		my ($template_usertext, $template_postinfo, $template_gender, $template_profile, $template_quote, $template_email, $template_www, $template_pm, $avatar);
</search for>

<add after>
		my ($template_age);
</add after>

<search for>
			$template_gender = ${$uid.$musername}{'gender'};
</search for>

<add before>
			&CalcAge($musername, "calc");
			$template_age = qq~$display_txt{'userage'}: $age<br />~ if $age && $showuserage;
</add before>

<search for>
		$outblock =~ s/({|<)yabb gender(}|>)/$template_gender/g;
</search for>

<add before>
		$outblock =~ s/({|<)yabb age(}|>)/$template_age/g;
</add before>

<edit file>
Sources/MyCenter.pl
</edit file>

<search for>
		$template_gender = ${$uid.$username}{'gender'};
</search for>

<add before>
		&CalcAge($username, "calc");
		$template_age = qq~$profile_txt{'420'}: $age<br />~ if $age && $showuserage;
</add before>

<search for>
		$myprofileblock =~ s/({|<)yabb gender(}|>)/$template_gender/g;
</search for>

<add before>
		$myprofileblock =~ s/({|<)yabb age(}|>)/$template_age/g;
</add before>

<edit file>
Templates/default/Display.template
</edit file>

<search for>
		{yabb gender}
</search for>

<add before>
		{yabb age}
</add before>

<edit file>
Templates/default/MyCenter.template
</edit file>

<search for>
		{yabb gender}
</search for>

<add before>
		{yabb age}
</add before>

<edit file>
Templates/yabb21/Display.template
</edit file>

<search for>
		<yabb gender>
</search for>

<add before>
		<yabb age>
</add before>

<edit file>
Templates/yabb21/MyCenter.template
</edit file>

<search for>
		<yabb gender>
</search for>

<add before>
		<yabb age>
</add before>
